Retrieve Contract Detail

Retrieves comprehensive information about a smart contract, including its creation details, bytecode, verification status, and metadata.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Supported on Monad Mainnet and Testnet.

🚧

The Monad Mainnet Indexing API is available to Free users. The same request URL is used for both mainnet and testnet. Network selection is handled automatically through the API key.

If you're interested, please register directly through here. Please note that the API Key can also be used for your RPC endpoint.


Parameter

  • address, string - a 42 character address with '0x' as prefix.

Response

  • code, number - response status code, e.g., 0 for success.
  • reason, string - reason message if there's an error.
  • message, string - response message, e.g., OK.
  • result, object - result object containing contract source code and metadata.
    • creator, string - the EVM address of the contract creator.
    • creationTx, number - the transaction hash that created the contract.
    • createdTime, string - contract creation timestamp (Unix timestamp).
    • verifyStatus, string - contract verification status, e.g., "perfect" for fully verified.
    • firstTransactionSendTime, number - timestamp of the first transaction sent (Unix timestamp).
    • lastTransactionSendTime, number - timestamp of the last transaction sent (Unix timestamp).
    • bytecode, string - the contract's bytecode (hexadecimal format).
    • bytecodeHash, string - hash of the contract bytecode.
    • contractMeta, object - contract metadata object:
      • isSourceCodeVerified, boolean` - whether the source code is verified.
      • isProxyContract, boolean - whether this is a proxy contract.
      • implementationAddress, string - implementation contract address (if proxy contract).
      • ImplementationContractName, string - implementation contract name (if proxy contract).
      • contractName, string - name of the contract.
      • verified, boolean - whether the contract is verified.
    • nft, object - NFT-related information (if the contract is an NFT).
      • name, string - NFT name.
      • image, string - NFT image URL.
      • ercStandard, string - ERC standard type, e.g., "ERC721", "ERC1155".
      • scamFlag, boolean - scam flag indicator.
    • token, object - token-related information (if the contract is a token).
      • name, string - token name.
      • image, string - token logo/image URL.
      • symbol, string - token symbol.
      • scamFlag, boolean - scam flag indicator.
    • contractLabel, object - contract label information..
      • address, string - contract address.
      • name, string - display name of the contract.
      • label, string - contract label (optional).
      • logo, boolean - contract logo URL.
      • scamFlag, boolean - whether the contract is flagged as a scam.
      • isVerified, boolean - whether the contract is verified.

Query Params
string
required
Response
200
Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here!